name: Build Hugo Docker Image

on:
  push:
    branches:
      - hugo_update

jobs:
  build docker:
    runs-on: linux_amd
    steps:
      - name: checkout code
        uses: actions/checkout@v3
      # - name: Get changed files
      #   id: changed-files
      #   uses: tj-actions/changed-files@v42
      #   with:
      #     files: hugo.Dockerfile
      - name: Set up QEMU
        uses: docker/setup-qemu-action@v2
      - name: Set up Docker Buildx
        uses: docker/setup-buildx-action@v2
      - name: Login to Docker registry
        uses: docker/login-action@v2
        with:
          registry: git.d3vyce.fr
          username: ${{ github.actor }}
          password: ${{ secrets.GIT_TOKEN }}
      - name: Build and push
        uses: docker/build-push-action@v4
        with:
          context: .
          file: ./hugo.Dockerfile
          platforms: linux/amd64
          push: true
          tags: git.d3vyce.fr/d3vyce/hugo:latest
